package com.ruoyi.project.invoice.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 预约作业票台账对象 t_invoice_bookingworkticket
 *
 * @author ruoyi
 * @date 2022-08-25
 */
public class TInvoiceBookingworkticket extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    @Excel(name = "作业单位")
    private String workUnit;

    /** 作业区域 */
    @Excel(name = "作业区域")
    private String workArea;

    /** 单元号 */
    @Excel(name = "单元号")
    private Long unitNumber;

    /** 楼层位置 */
    @Excel(name = "楼层位置")
    private String floorLocation;

    /**  作业开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = " 作业开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date workStartTime;

    /** 作业结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "作业结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date workEndTime;

    /** 查询开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @TableField(exist = false)
    private Date startDate;

    /** 查询结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @TableField(exist = false)
    private Date endDate;

    /** 状态 1 ：正常 ；0：删除 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private Long updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 联系人 */
    @Excel(name = "联系人")
    private String contact;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String phonenumber;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    /** 用户主管 */
    @Excel(name = "用户主管")
    private Long userMg;

    /** 用户主管姓名 */
    @TableField(exist = false)
    private String userMgName;

    /** 用户主管号码 */
    @TableField(exist = false)
    private String userMgPhone;

    /** 用户主管部门 */
    @TableField(exist = false)
    private String userMgDeptName;

    /** 用户单位 */
    @Excel(name = "用户单位")
    private String userUnit;

    @TableField(exist = false)
    private List<TInvoiceWorkcontent> tInvoiceWorkcontentList;

    /** 筛选工作类型 */
    @TableField(exist = false)
    private Long workType;

    /** 票号 */
    @TableField(exist = false)
    private String allNo;

    /** 索引 */
    @TableField(exist = false)
    private String tag;

    /** 危害 */
    @TableField(exist = false)
    private String whgzxkzh;

    /** 动火  */
    @TableField(exist = false)
    private String dhzyxkzh;

    /** 限制 */
    @TableField(exist = false)
    private String xzkjxkzh;

    /** 盲板 */
    @TableField(exist = false)
    private String mbzyxkzh;

    /** 高处作业 */
    @TableField(exist = false)
    private String gczyxkzh;

    /** 高处 */
    @TableField(exist = false)
    private String gczyjb;

    /** 筛选工作类型 */
    @TableField(exist = false)
    private String hpjb;



    /** 预约票号 */
    @Excel(name = "预约票号")
    private String reservationNumber;

    /** 预约作业申请单文件名 */
    @Excel(name = "预约作业申请单文件名")
    private String filename;

    @TableField(exist = false)
    private String userSupId;

    /** 装置主管签名人 */
    @TableField(exist = false)
    private String userSupName;

    /** 装置主管号码 */
    @TableField(exist = false)
    private String userSupPhone;

    /** 装置主管部门 */
    @TableField(exist = false)
    private String userSupDeptName;

    @TableField(exist = false)
    private String deptName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setWorkUnit(String workUnit)
    {
        this.workUnit = workUnit;
    }

    public String getWorkUnit()
    {
        return workUnit;
    }
    public void setWorkArea(String workArea)
    {
        this.workArea = workArea;
    }

    public String getWorkArea()
    {
        return workArea;
    }
    public void setUnitNumber(Long unitNumber)
    {
        this.unitNumber = unitNumber;
    }

    public Long getUnitNumber()
    {
        return unitNumber;
    }
    public void setFloorLocation(String floorLocation)
    {
        this.floorLocation = floorLocation;
    }

    public String getFloorLocation()
    {
        return floorLocation;
    }
    public void setWorkStartTime(Date workStartTime)
    {
        this.workStartTime = workStartTime;
    }

    public Date getWorkStartTime()
    {
        return workStartTime;
    }
    public void setWorkEndTime(Date workEndTime)
    {
        this.workEndTime = workEndTime;
    }

    public Date getWorkEndTime()
    {
        return workEndTime;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(Long createrCode)
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(Long updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setContact(String contact)
    {
        this.contact = contact;
    }

    public String getContact()
    {
        return contact;
    }
    public void setPhonenumber(String phonenumber)
    {
        this.phonenumber = phonenumber;
    }

    public String getPhonenumber()
    {
        return phonenumber;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setUserMg(Long userMg)
    {
        this.userMg = userMg;
    }

    public Long getUserMg()
    {
        return userMg;
    }

    public void setUserUnit(String userUnit)
    {
        this.userUnit = userUnit;
    }



    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }


    public String getUserUnit()
    {
        return userUnit;
    }

    public void setReservationNumber(String reservationNumber)
    {
        this.reservationNumber = reservationNumber;
    }

    public String getReservationNumber()
    {
        return reservationNumber;
    }
    public void setFilename(String filename)
    {
        this.filename = filename;
    }

    public String getFilename()
    {
        return filename;
    }

    public String getUserMgName() {
        return userMgName;
    }

    public void setUserMgName(String userMgName) {
        this.userMgName = userMgName;
    }

    public String getAllNo() {
        return allNo;
    }

    public void setAllNo(String allNo) {
        this.allNo = allNo;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("workUnit", getWorkUnit())
            .append("workArea", getWorkArea())
            .append("unitNumber", getUnitNumber())
            .append("floorLocation", getFloorLocation())
            .append("workStartTime", getWorkStartTime())
            .append("workEndTime", getWorkEndTime())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("contact", getContact())
            .append("phonenumber", getPhonenumber())
            .append("status", getStatus())
            .append("deptId", getDeptId())
            .append("userMg", getUserMg())
                .append("userUnit", getUserUnit())
                .append("reservationNumber", getReservationNumber())
                .append("filename", getFilename())
            .toString();
    }

    public List<TInvoiceWorkcontent> gettInvoiceWorkcontentList() {
        return tInvoiceWorkcontentList;
    }

    public void settInvoiceWorkcontentList(List<TInvoiceWorkcontent> tInvoiceWorkcontentList) {
        this.tInvoiceWorkcontentList = tInvoiceWorkcontentList;
    }

    public Long getWorkType() {
        return workType;
    }

    public void setWorkType(Long workType) {
        this.workType = workType;
    }

    public String getHpjb() {
        return hpjb;
    }

    public void setHpjb(String hpjb) {
        this.hpjb = hpjb;
    }


    public String getWhgzxkzh() {
        return whgzxkzh;
    }

    public void setWhgzxkzh(String whgzxkzh) {
        this.whgzxkzh = whgzxkzh;
    }

    public String getDhzyxkzh() {
        return dhzyxkzh;
    }

    public void setDhzyxkzh(String dhzyxkzh) {
        this.dhzyxkzh = dhzyxkzh;
    }

    public String getXzkjxkzh() {
        return xzkjxkzh;
    }

    public void setXzkjxkzh(String xzkjxkzh) {
        this.xzkjxkzh = xzkjxkzh;
    }

    public String getMbzyxkzh() {
        return mbzyxkzh;
    }

    public void setMbzyxkzh(String mbzyxkzh) {
        this.mbzyxkzh = mbzyxkzh;
    }

    public String getGczyxkzh() {
        return gczyxkzh;
    }

    public void setGczyxkzh(String gczyxkzh) {
        this.gczyxkzh = gczyxkzh;
    }

    public String getGczyjb() {
        return gczyjb;
    }

    public void setGczyjb(String gczyjb) {
        this.gczyjb = gczyjb;
    }

    public String getUserSupId() {
        return userSupId;
    }

    public void setUserSupId(String userSupId) {
        this.userSupId = userSupId;
    }

    public String getUserSupName() {
        return userSupName;
    }

    public void setUserSupName(String userSupName) {
        this.userSupName = userSupName;
    }

    public String getUserMgPhone() {
        return userMgPhone;
    }

    public void setUserMgPhone(String userMgPhone) {
        this.userMgPhone = userMgPhone;
    }

    public String getUserSupPhone() {
        return userSupPhone;
    }

    public void setUserSupPhone(String userSupPhone) {
        this.userSupPhone = userSupPhone;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public String getUserMgDeptName() {
        return userMgDeptName;
    }

    public void setUserMgDeptName(String userMgDeptName) {
        this.userMgDeptName = userMgDeptName;
    }

    public String getUserSupDeptName() {
        return userSupDeptName;
    }

    public void setUserSupDeptName(String userSupDeptName) {
        this.userSupDeptName = userSupDeptName;
    }
}
